#Instalator utworzony analizujac skrypt install z pakietu DivX Player 2.0
#!/bin/bash

DEFAULT_BINDIR=/usr/local/games/wolfenstein
echo ""
echo ""

echo "      ****************************************************"
echo "      *                                                  *"
echo "      *  Demo4linux v1.2 - RTCW Demo Player Instalation  *"
echo "      *    http://wolfconfig.republika.pl/demo4linux     *"
echo "      *                                                  *"
echo "      *       created by ++Gothic++ <gothic@pf.pl>       *"
echo "      *                                                  *"
echo "      ****************************************************"
echo ""
echo "Witam w programie instalacyjnym Demo4linux v1.2"

echo ""

echo "Przed instalacj nowej wersji prosz usu katalog ze starsz"

echo ""

echo "Aby zainstalowac Demo4linux v1.2 musisz byc zalogowany na roota"

echo ""

echo "Jezeli zaistalowales RTCW w innym katalogu niz" 
echo -n "/usr/local/games/wolfenstein podaj go [$DEFAULT_BINDIR]: "
read bindir 

echo ""
 
if [ -z "$bindir" ] ; then

    bindir=$DEFAULT_BINDIR

fi

echo ""

if [ ! -e $bindir ] ; then

echo -n "Katalog $bindir nie istnieje, stwozyc (y/n) [y]? : "
read answer
echo ""

if [ -z "$answer" ] ; then

  answer=Y

fi

case "$answer" in 

  "Y" | "y" | "" ) mkdir $bindir
                   if [ ! -e $bindir ] ; then
		     echo "Nie mozna stworzyc katalogu $bindir, sprawdz dostep"
		     echo "zaloguj sie na roota i uruchom instalatora ponownie"
	             echo "wychodze..."
		     echo ""
		     exit 65
		   fi
		   ;;

  * )              echo "Nie mozna zainstalowac jezeli katalog nie istnieje"
		   echo "wychodze..."
		   echo ""
		   exit 65 
esac

fi

# test if it is actually a directory

if [ ! -d "$bindir" ] ; then

  echo "Plik $bindir istnieje ale nie jest katalogiem!"
  echo "wychodze..."
  echo ""
  exit 65

fi

# test for write permission

if [ ! -w "$bindir" ] ; then

  echo "Nie masz uprawnien aby zapisywac w $bindir, sprawdz dostep"
  echo "wychodze..."
  echo ""
  exit 65

fi

# Teraz, wszystko jest ok :)

# instalujemy

echo "cd $bindir" >> demo4linux.sh
echo "./wolfmp +demo demo4linux.dm_59 +exec demo4linux.cfg" >> demo4linux.sh 
echo "exec record.cfg" >> $bindir/main/autoexec.cfg
mkdir $bindir/demo4linux
cp demo4linux.sh $bindir/demo4linux
cp README.TXT $bindir/demo4linux
cp README-PL.TXT $bindir/demo4linux
cp demo4linux.cfg $bindir/main
cp record.cfg $bindir/main
chmod 755 $bindir/demo4linux/demo4linux.sh

echo ""

echo "!!!!!!!!!!Demo4linux v1.2 zainstalowane prawidlowo!!!!!!!!!!!!!!"
echo ""
echo "program zainstalowany w $bindir/demo4linux"
echo ""
echo "przeczytaj README-PL.TXT aby dowiedziec sie jak skonfigurowc system i uruchamiac dema"

echo ""

exit 0













