#Instalation created by analizing script install from packet DivX Player 2.0
#!/bin/bash

DEFAULT_BINDIR=/usr/local/games/wolfenstein
echo ""
echo ""

echo "     ****************************************************"
echo "     *                                                  *"
echo "     *  Demo4linux v1.2 - RTCW Demo Player Instalation  *"
echo "     *    http://wolfconfig.republika.pl/demo4linux     *"
echo "     *                                                  *"
echo "     *       created by ++Gothic++ <gothic@pf.pl>       *"
echo "     *                                                  *"
echo "     ****************************************************"
echo ""
echo "Welcome into Demo4linux v1.2 instalation program"

echo ""

echo ""

echo "Before You install new version please remove directory with any older verion"

echo "To install Demo4linux You must be login as root"

echo ""

echo "If you install RTCW in other directory then" 
echo -n "/usr/local/games/wolfenstein specify it by typing [$DEFAULT_BINDIR]: "
read bindir 

echo ""
 
if [ -z "$bindir" ] ; then

    bindir=$DEFAULT_BINDIR

fi

echo ""

if [ ! -e $bindir ] ; then

echo -n "Directory $bindir doesn't exist, create it (y/n) [y]? : "
read answer
echo ""

if [ -z "$answer" ] ; then

  answer=Y

fi

case "$answer" in 

  "Y" | "y" | "" ) mkdir $bindir
                   if [ ! -e $bindir ] ; then
		     echo "Couldn't create directory $bindir, check Your access"
		     echo "login as root and run instalation again"
	             echo "exiting..."
		     echo ""
		     exit 65
		   fi
		   ;;

  * )              echo "Couldn't install if directory doesn't exist"
		   echo "exiting..."
		   echo ""
		   exit 65 
esac

fi

# test if it is actually a directory

if [ ! -d "$bindir" ] ; then

  echo "File $bindir exist but it's not a directory!"
  echo "exiting..."
  echo ""
  exit 65

fi

# test for write permission

if [ ! -w "$bindir" ] ; then

  echo "You doesn't have permission to write in $bindir, check your access"
  echo "exiting..."
  echo ""
  exit 65

fi

# Teraz, wszystko jest ok :)

# instalujemy

echo "cd $bindir" >> demo4linux.sh
echo "./wolfmp +demo demo4linux.dm_59 +exec demo4linux.cfg" >> demo4linux.sh 
echo "exec record.cfg" >> $bindir/main/autoexec.cfg
mkdir $bindir/demo4linux
cp demo4linux.sh $bindir/demo4linux
cp README.TXT $bindir/demo4linux
cp README-PL.TXT $bindir/demo4linux
cp demo4linux.cfg $bindir/main
cp record.cfg $bindir/main
chmod 755 $bindir/demo4linux/demo4linux.sh

echo ""

echo "!!!!!!!!!!Demo4linux v1.2 instalation succesfull!!!!!!!!!!!!!!"
echo ""
echo "program should be now avaible in $bindir/demo4linux"
echo ""
echo "read README.TXT to learn how configure Your system and run demos"

echo ""

exit 0















